For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
      • POSTSend a transactional email
      • GETGet the list of transactional emails on the basis of allowed filters
      • GETGet the personalized content of a sent transactional email
      • DELDelete scheduled emails by batchId or messageId
      • GETFetch scheduled emails by batchId or messageId
      • POSTDelete hardbounces
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Email APITransactional email

Get the personalized content of a sent transactional email

GET
https://api.brevo.com/v3/smtp/emails/:uuid
GET
/v3/smtp/emails/:uuid
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.transactionalEmails.getTransacEmailContent("uuid");
8}
9main();
1{
2 "date": "2016-02-25T11:53:26Z",
3 "email": "abc@example.com",
4 "events": [
5 {
6 "name": "sent",
7 "time": "2016-02-25T11:53:26Z"
8 },
9 {
10 "name": "delivered",
11 "time": "2016-02-25T11:55:26Z"
12 },
13 {
14 "name": "opened",
15 "time": "2016-02-26T09:53:26Z"
16 }
17 ],
18 "subject": "Summer Camps",
19 "body": "<!DOCTYPE html> <html> <body> <h1>Greetings from the team</h1> <p>This is the actual html content sent</p> </body> </html>",
20 "templateId": 12
21}
<Note title="How to get uuid">You can get the uuid using either of the following methods: Send a GET request to https://api.brevo.com/v3/smtp/emails and pass the message_id in the url. Use your api-key to authenticate the request and you will get your uuid as a response. The uuid can also be fetched from the transactional logs page in your Brevo account, from the address URL.</Note>
Was this page helpful?
Previous

Delete scheduled emails by batchId or messageId

Next
Built with
How to get uuid
You can get the uuid using either of the following methods: Send a GET request to https://api.brevo.com/v3/smtp/emails and pass the message_id in the url. Use your api-key to authenticate the request and you will get your uuid as a response. The uuid can also be fetched from the transactional logs page in your Brevo account, from the address URL.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

uuidstringRequired
Unique id of the transactional email that has been sent to a particular contact

Response

Transactional email content
datestring
Date on which transactional email was sent
emailstringformat: "email"
Email address to which transactional email has been sent
eventslist of objects
Series of events which occurred on the transactional email
subjectstring
Subject of the sent email
attachmentCountlong
Count of the attachments that were sent in the email
bodystring
Actual content of the transactional email that has been sent
templateIdlong
Id of the template

Errors

400
Bad Request Error
404
Not Found Error